Directories
-----------

   Directory C :
       Demo installation programs in C language. The same source code is used
       for 16bit and 32bit programs. There are batch files for 16bit and 32bit
       programs command-line compilation in corresponding subdirectories. 
    
   Directory DELPHI :
       Source codes for 16bit and 32bit installation programs and batch files 
       for command-line compilation.
   
   Directory INSTALL :
       Dynamic linked libraries necessary for instalation in 16bit and 32bit
       systems. Both of the dll files include drivers for corresponding 
       systems.
   

Installation of driver under WIN16
----------------------------------

     is accomplished with 16bit installer, that
     calls IANGEL16.DLL library and in case that system
     is WIN16 it installs the actual driver.
     In case the 16bit installer runs under WIN32 the
     IANGEL16.DLL automatically calls the IANGEL32.DLL library
     and this takes care about the installation of driver for
     WIN32 system.
     
     Driver can be installed manually in following steps :

         1. Copy driver angel.386 to the system directory of Win 3.1x.
            For example : C:\WINDOWS\SYSTEM
         
         2. Insert line "device=[Win3.1x system directory path]\angel.386" to
            the section [386Enh] of system.ini file that is located in
            Win3.1x directory.
            For example : 
                 [386Enh]
                 device=c:\windows\system\angel.386

         3. Restart your computer.


Installation of driver for WIN32
--------------------------------

     can be accomplished with 32bit installer, which 
     calls IANGEL32.DLL and takes care of the installation
     of actual driver for the system. In case that the
     current system is WIN16(Win32s) then installer installs the needed
     driver without calling IANGEL16.DLL. Of course, through
     installation of driver under WINNT the installer needs
     to have enough rights to write into register database.
     (Administrator)

     These conditions are needed also in case of uninstalling 
     the Angel drivers. After installation and uninstallation 
     you MUST restart the computer that changes can take effect.

     a) virtual driver for  WIN3.1

          'ANGEL.386'

     b) virtual driver for WIN95


          'ANGEL.VXD'

     c) drivers for WINNT

          'ANGELNT.SYS'  -> kernel driver 
          'ANGELVDD.DLL' -> virtual driver for non-native WIN32 applications
                            (DOS,WIN16, extenders etc.)
          'ANGELDOS.SYS' -> DOS driver for programs that cannot communicate 
                            with current system driver

     Manual installations :
     ----------------------

        Windows 95 and Windows 98 : 
           
           1. Import file angelwin.reg from ALL_DRV directory to the windows
              registry. Two alternative ways are available :
                  1. Open Registry Editor and import angelwin.reg file 
                     through menu Registry|Import Registry file.
                  2. Type regedit angelwin.reg on command-line.
           
           2. Copy angel.vxd to the windows system directory.
              For example C:\WINDOWS\SYSTEM 
                                                      
           3. Restart your computer.


        Windows NT 4.0 and Windows NT 5 Beta2 :
          
           1. Import file angelnt.reg from ALL_DRV directory to the Windows NT
              registry. Two alternative ways are available :
                  1. Open Registry Editor and import angelnt.reg file 
                     through menu Registry|Import Registry file.
                  2. Type regedit angelnt.reg on command-line.

           2. Copy following files :
                 angelvdd.dll : to the Windows NT system32 directory.
                 angeldos.sys : to the Windows NT system32 directory.
                 angelnt.sys  : to the Windows NT system32\drivers directory.
                 
                 For example : C:\WINNT4\SYSTEM32
                               C:\WINNT4\SYSTEM32\DRIVERS

           3. Insert line "device=%SystemRoot%\system32\angeldos.sys" to the
              config.nt file that is located in the Windows NT system32 
              directory.	

           4. Restart your computer.


Configuration of driver under WIN95 and WINNT
---------------------------------------------

     can be realised using configuration software, which 
     is called ACNFG.EXE. With help of this program you   
     can view and set the configuration of ports.
